21.10.2014, 12:29 UhrDeutsch | English
Hallo Gast [ Registrierung | Anmelden ]

Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
Autor Nachricht
mzilikazi
Titel: Re: RE: Re: RE: Re: Toolbar???  BeitragVerfasst am: 03.05.2006, 18:29 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
You no longer need enlightenment-data. In fact it conflicts w/ latest enlightenment. Try installing E17 like so:
Code:
# apt-get install e17 libevas0-all libevas0-engines-all libevas0-loaders-all


Please post the entire output if it fails. Babelfish will translate for me. Smilie

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
McGiver
Titel: Re: RE: Re: RE: Re: Toolbar???  BeitragVerfasst am: 03.05.2006, 19:31 Uhr



Anmeldung: 03. Mai 2006
Beiträge: 8

well e17 seems to need enlightenment-data Traurig

Zitat:
root@R-Laptop:/home/roland# apt-get install e17 libevas0-all libevas0-engines-all libevas0-loaders-all
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut... Fertig
Einige Pakete konnten nicht installiert werden. Das kann bedeuten, dass
Sie eine unmögliche Situation angefordert haben oder dass, wenn Sie die
instabile Distribution verwenden, einige erforderliche Pakete noch nicht
kreiert oder aus Incoming herausbewegt wurden.
Die folgenden Informationen helfen Ihnen vielleicht, die Situation zu lösen:

Die folgenden Pakete haben nichterfüllte Abhängigkeiten:
e17: Hängt ab: enlightenment-data (>= 0.16.999.025)
E: Kaputte Pakete

(Translation to halfway proper English:
Some Packages could not be installed [...blablabla...]

The following Information may help you to solve this Problem:

The following Packets have not fullfilled dependencies:
e17: Depends on: enlightenment-data (>= 0.16.999.025)
E: Broken Packages


(but I guess the translation is kind of obvious)

btw.:
e17 is version 0.16.999.026-0cvs20060410

edit:

It works now, I installed enlightenment without the e17 dummy package (which still doesn't work for me)

Some other stuff (some modules or e17_utils) also doesn't work, too, since they require a libe package that collides with the enlightenment package.

nevertheless: thanks a lot for the great work and help mzilikazi
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Mike Shepard
Titel: Same  BeitragVerfasst am: 06.05.2006, 23:35 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Same problem here. Apt-get install e17 gives the dependency issue and apt-get install enlightenment errors with "cannot overwrite /usr/lib/libe.so.0.0.0". So I finally ended up doing
Code:
 "dpkg -i --force-all /var/cache/apt/archives/enlightenment_0.16.999.026-0cvs20060504_i386"
After that it worked, I had to rename the modules to linux-gnu-i686. The upgrade from .023 to .026 fixed my buttons problem (posted earlier) but now a bunch of my modules don't work: Pager, battery, clock, etc. They only appear in that new Shelf bar. How do I disable it (the shelf)??? Rain and engage function however normal. I just want the modules like before without the inside the Shelf

Switching themes doesn't work either, stuck with the default now (which I'm not to fond of, I perfer the Utopian one Sehr glücklich ) and as you mentioned alot of my settings are gone to: window placements, focus settings etc. Going to play the config settings a bit and see what I can come up with. Why was it so hard to get enlightenment to update though? and if I update my modules will I have to rename the directories again? Also any ideas on my themes and modules would be greatly appriciated. At least the buttons work now Lachen Thanks

-Mike[/code]

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
Mike Shepard
Titel: Same  BeitragVerfasst am: 08.05.2006, 06:09 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Ok, I followed Mz's earlier suggestion and moved the .e directory, then started e17. After it created the default again, I then copied back over applications, backrounds, and themes directories from the old .e/e/ directory. Now I have my theme working again, and all a few quick configs and I am almost back to norm now. I just need to get rid of that damn Shelf that's added. I can't have my clock on the desktop anymore, only in that Shelf, same with the pager and others. After reading countless posts it looks like the shelf is here to stay, no way to disable it. It's supposed to be a lot more customizable soon however.

oh ya, found this too which might explain a bit of my problem getting rid of the shelf.
Zitat:
E17 shelf-code - Falko Schmidt (Sat, 01 Apr 2006 18:33:29 +0200)
The currently uploaded E17 packages contain raster's new shelf-code which isn't supposed to be there yet. That means that, except the core modules, no module will work for now (especially modules in emodules).


All my modules do work though, except for the Pager. If I am on any other theme than the default, I cannot click the pager at all, it doesn't seem to reconize my mouse at all. Hopefully this will be fixed in the next update.

-Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mzilikazi
Titel: Re: Same  BeitragVerfasst am: 08.05.2006, 13:01 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
Mike Shepard hat folgendes geschrieben::

All my modules do work though, except for the Pager. If I am on any other theme than the default, I cannot click the pager at all, it doesn't seem to reconize my mouse at all. Hopefully this will be fixed in the next update.

-Mike


Yep same here. The shelf is at this time the only way to have a pager and this pager isn't to well behaved. It is to be more configurable soon however.

For a clock try tclock. It works just fine.

Why was it so hard to upgrade? Well.....it's alpha code. Smilie

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 09.05.2006, 05:15 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Well after upgrading the emodule package, I did have to rename all the directories over again. Also forcing the install of the package due to complaints about directories not being empty, obviously because it was looking for directories ending with i486 not i686. Thought I would post if anyone was curious about updating their modules.
Oh btw after many, many failed attempts, I did finally figure out a way to get Evidence file manager working. I can post how if anyone is interrested, it is however unsupported for over a year now. But I still like it Sehr glücklich

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 19.05.2006, 06:46 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

hmm.... well I just did an upgrade and update enlightenment to 0.16.999.026-0cvs20060513 and didn't really notice a difference (was hoping for an update to the Shelf). Also upgraded engage-transparent and that is what seems to be causing a problem however. I did have to rename /usr/lib/enlightenment/modules/linux-gnu-i486 to linux-gnu-i686, but I still have no bar anymore. The little arrow shows up under what should be an icon when I have a program. Still trying to figure this one out, any idea's anyone? I miss my bar, maybe they made it too transparent? Lachen

EDIT:

Ok it seems that the old themes are not compatible with the new shelf code, which is why the pager doesn't work properly and the updated engage-transparent module does no show any icons with the old themes. You can download a new updated theme from http://www1.get-e.org/. Right now there are only two but more are coming or you can learn to create you own Winken
With the new themes your pager module will now work to a point, you can slide windows to different destops, click on a window in a different desktop and be taken there, etc; all from within the pager. But you will only see thumbnails of desktops that you have open windows in. The only solution to this right now is to switch the shelf configuration from transparent to gold or silver and you will have full pager functionality, but will have the ulgy side handles on the shelf Traurig I just leave my on transparent, it works for the most part. Hey, at least it's coming together again. I set up 2 shelfs and have my pager in one at the top of the screen and my clock in another at the side of the screen. Plus it seems the cpu, net, wlan, & memory modules are no longer confined to the shelf Smilie One more small thing though, it seems the new coding for the themes don't allow the E menu icons to be changed at this time ( the menu when you left click on the desktop ).

Hope this helps anyone who is an E17 fan, enjoy!

Cheers
-Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mzilikazi
Titel:   BeitragVerfasst am: 16.06.2006, 20:30 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
After a brief hiatus there is a new e17 in town. Well let's just say that it became usable again after some serious breakage in switching to the new shelf code. Latest e17 is:
Code:
apt-cache policy enlightenment
enlightenment:
  Installed: 0.16.999.027-0cvs20060615


Rather than retype all of this I simply pasted it from #utopian:

Code:
[18:47:06]    mzilikazi | agi emodule0*                                                                                                          │@ChanServ
[18:47:17]  fredforfaen | hmm                                                                                                                    │ Ajay_
[18:47:18]  fredforfaen | k                                                                                                                      │ ajayc
[18:47:24]  fredforfaen | ill have to note that                                                                                                  │ fff_presario[18:48:06]             <-- ajayc (n=Ajay@59.93.241.255) has quit (Read error: 104 (Connection reset by peer))                                    │ fredforfaen
[18:51:15]  fredforfaen | man heh im dling like a mother!                                                                                        │ metalqueen
[19:04:19]             <-- Ajay_ (n=Ajay@59.93.244.63) has quit (Read error: 110 (Connection timed out))                                         │ mzilikazi
[19:07:34]             --> ajayc (n=Ajay@59.93.254.71) has joined #utopian                                                                       │ viper400
[19:14:13]    mzilikazi | pretty weird to configure                                                                                              │ wwallace
[19:14:30]    mzilikazi | not all modules are ready for the shelf yet                                                                            │
[19:14:32]    mzilikazi | but                                                                                                                    │
[19:15:10]    mzilikazi | enable all the modules you want to use through Config Panel>Modules                                                    │
[19:15:24]    mzilikazi | then they will become available for placement in a shelf                                                               │
[19:15:43]    mzilikazi | if you do not enable them in the config panel you can't add them to a shelf                                            │
[19:16:10]    mzilikazi | you can have as many shelves as you like                                                                               │
[19:16:19]    mzilikazi | each shelf can contain 1 module or many modules                                                                        │
[19:16:49]    mzilikazi | you cannot drag the shelves around - you must use:                                                                     │
[19:17:09]    mzilikazi | Right click shelf>Shelf COnfiguration>Advanced                                                                         │
[19:17:19]    mzilikazi | then choose the location for the new shelf                                                                             │
[19:17:42]    mzilikazi | other options available on right click menu of each shelf                                                              │
[19:17:47]    mzilikazi | seems resize does not work                                                                                             │
[19:18:27]    mzilikazi | some modules like cpu & calendar are still just like they were, enable them in the Modules panel and voila - they      │
                          appear on the desktop                                                                                                  │
[19:18:37]    mzilikazi | i have not tested all modules


As the new shelf code & modules get updated it will return to normal (presumably). Note that only some themes & modules are completely comptible. The Utopian theme is being worked on.

Sadly engage seems to be MIA at this time. Will post if found again. Smilie

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
DeepDayze
Titel:   BeitragVerfasst am: 17.06.2006, 22:39 Uhr



Anmeldung: 08. Dez 2005
Beiträge: 299

Looking good, Mz...I may just give E17 a try. Just wish it were easy to configure or updat without having to dork around with files.
 
 Benutzer-Profile anzeigen Private Nachricht senden  
Antworten mit Zitat Nach oben
Mike Shepard
Titel: hmm...  BeitragVerfasst am: 18.06.2006, 06:32 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Well I did a fresh install of e17 and still am getting major errors. Everything seems to load now and be usable, but the big problem is engage won't load. It is installed with the newest version, but this pops up every time I start up e
Zitat:
There was an error loading module named: engage-transpartent
No module named engae-transparent/linux-gnu-i686/module.so could be found in the module search directories.

Would you like to unload this module?


I've checked the path and it is there, I've looked under the configureation panel/modules and it is not there. Trying to load it manually with
Zitat:
enlightenment_remote -module-load engage-transparent
also causes the above error. I tried reinstalling it to with no luck. ibar works though Mit den Augen rollen also I am having some of old icons (from an older different install) not being populated in the menus. But one step at a time, any ideas? otherwise i'll post when I figure it out.

Oh ya, the dummy package e17 is still gone from the repo's, you have to grab the packages manually, but eutils is finally back now as of about a week ago Sehr glücklich So you can setup a fairly workable e17 again with apt.

Also trying to load engage manually in another wm by just typing engage in a terminal gives me these errors
Zitat:
File: /home/Mike/.e/e/applications/all/xmms.eap is not up date for key "edje_file" - needs rebuilding sometime
repeat that by every app over and over and then
Zitat:
***** Develper Warning ***** :
This program is calling:

ecore_list_destroy();

With the parameter:

list

being NULL. Please fix your program.

are the eap icons being changed now and older ones not going to work?

Cheers,
Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mzilikazi
Titel: RE: hmm...  BeitragVerfasst am: 06.07.2006, 21:38 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
OK I *think* that the changes for the new shelf code are almost complete. Some modules are still not quite %100 and some themes are not updated yet either. Good news, engage-transparent is now working again. engage is still broken! You'll get an API error w/ engage.
Code:
apt-get install engage-transparent
. The howto has been updated to reflect this. As usual, please LET ME KNOW if something in the howto is wrong or just doesn't work.

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 11.07.2006, 06:03 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

I am running e17 version 0.16.999.029-0cvs20060706 and have the latest version of engage installed. When I enable the module it would start and works as a System Tray but I could not add program icons to the enage bar. Entangle doesn't show an engage tab either. I remember with older e17 builds I could edit the .order file in ~/.e/e/applications/engage/ but that directory is no longer created. I tried deleting the .e home directory to see if going back to the defaults would help but no solution, also tried installing engage-transparent to see that build would act differently and still no fix. After messing with it further and asking for help on the e17 forums, I found the default directory for engage with the .order file is now ~/.e/e/applications/bar/engage/ , but that directory didn't exist either. So after creating it and coping the contents of ~/.e/e/applications/bar/default over to it and editing the .order file it works perfectly now. So after months of messing with it engage is finally working again Sehr glücklich However the engage tab is still not shown in entangle for some reason. Hope this helps others with this problems.

Correction: After a bit and a restart the engage tab is now back in entangle. Not sure why it took a while to get added to it but it's there now.

-Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mt_deb
Titel: enlightenment data error, what worked for me!  BeitragVerfasst am: 15.07.2006, 20:03 Uhr



Anmeldung: 12. Jun 2005
Beiträge: 56
Wohnort: Montana USA
Hi everyone, I too kept getting errors in trying to install e17. That enligtenment data error thing

I am not sure if it was mentioned or not as I vaguly seem to remember this somewhere. mzilikazi may have even suggested it at one point, anyway this is what worked for me. I followed mzilikazis instructions, then right before I did the apt-get upgrade I commented out all the repositories in my /etc/apt/sources list with the exception of deb http://gefechtsdienst.de/uman/files/ unstable main naturally. I Saved and exited and then continued on with mzilikazis walkthrough. The only other thing I changed was I deleted the word "eterm" at the end of this line below( not sure what that is but e17 wouldn't install with it on there)

apt-get install enlightenment libevas0-all libevas0-engines-all libevas0-loaders-all emodules0* eterm

PERFECT ! No errors and e17 installed and runs wonderfully.

Thought I would pass this on just in case someone is still getting errors they can try this.

Just uncomment your other sources again when your all done.

Maybe this will help someone else that is getting the data-enlightenmnet error


Deb

_________________
Give a man a match and he will be warm for a minute.
Light him on fire and he will be warm the rest of his life!


http://www.prettynewfaces.com
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 16.07.2006, 03:56 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Zitat:
Hi everyone, I too kept getting errors in trying to install e17. That enligtenment data error thing


Just curious but did you add the following to your /etc/apt/preferences?

Code:
Package: enlightenment
Pin: version 0.16.999*
Pin-Priority: 999

Package: enlightenment-data
Pin: version 0.16.999*
Pin-Priority: 999


Also btw, I just did a Dist-Upgrade today and updated enlightenment. Now e17 would not load, I had to go back and edit the /usr/share/xsessions/enlightenment.desktop to be able to log-in, it seems the 0.16.999.030-0cvs20060714 changed it. Also now none of the modules work again. I would recommend waiting on updating e until the next update comes out.

Cheers,
Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mt_deb
Titel:   BeitragVerfasst am: 16.07.2006, 06:13 Uhr



Anmeldung: 12. Jun 2005
Beiträge: 56
Wohnort: Montana USA
Just curious but did you add the following to your /etc/apt/preferences?

Code:
Package: enlightenment
Pin: version 0.16.999*
Pin-Priority: 999

Package: enlightenment-data
Pin: version 0.16.999*
Pin-Priority: 999


Hi Mike , I sure did
I know it seems a bit strange but that is the only way I could get it to work

_________________
Give a man a match and he will be warm for a minute.
Light him on fire and he will be warm the rest of his life!


http://www.prettynewfaces.com
 
 Benutzer-Profile anzeigen Private Nachricht senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 19.07.2006, 05:27 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Well it seems engage is now broken yet again. After an update I get this error:

Zitat:
There was an error loading module name: engage
Ther Full path to this module is :
engage/linux-gnu-i686/module.so
The error reported was:
libe.so.0: cannot open shared object file: No such file or directory


after researching libe.so.0 a bit I found this in reference to e17:

Zitat:
On Sun, 9 Jul 2006 22:53:06 -0400 RockerZ71 <[EMAIL PROTECTED]> babbled:

> I updated enlightenment today (except for emotion and e_modules, which
> wouldnt compile for some reason), and now a handful of my modules won't load
> because they can't find libe.so.0. Anyone know where libe comes from?

it cam from e - it has been removed as it is basically almost unused and a
packaging and maintenance problem. those moduels will need to stop linking to
it. it is pointless for modules anyway.


So if you get this error that is why. Guess we will have to wait for a update the engage module. It has been stated that engage is going to be the offical bar of e17 not ibar, so hopefully we will see an update soon. Thought I would share. BTW it seems that dEvian is working again, kind of a cool module.

Cheers,
Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mzilikazi
Titel:   BeitragVerfasst am: 19.07.2006, 06:02 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
Well let's look at the latest version of engage:
Code:
$ acp engage
engage:
  Installed: (none)
  Candidate: 0.0.9-0cvs20060702
  Version table:
     0.0.9-0cvs20060702 0
        500 http://gefechtsdienst.de unstable/main Packages
mzilikazi@hestviken:~$ acp engage-transparent
engage-transparent:
  Installed: 0.0.9-0cvs20060705
  Candidate: 0.0.9-0cvs20060705
  Version table:
 *** 0.0.9-0cvs20060705 0
        500 http://gefechtsdienst.de unstable/main Packages
        100 /var/lib/dpkg/status


So we just wait until a new one is built from cvs. Smilie As you may have noticed most modules are working. Volume module is still dead (I use gkrellm instead) and some are not yet ported to work w/ the shelf code - (CPU module comes to mind).

Have you tried the Bling module? Great composite manager w/ a sIlly name.

Here's e17 w/ transparency. (bling module enabled).
Graphics card is GeForce FX 5600X w/ NVIDIA 87.62.

Note the CPU module in the lower right hand corner and that it isn't "on" the shelf. Hopefully it becomes that way soon.

Also of note is the dev mailing list is the mention of coding bounties! Maybe (hopefully) this will speed up the release of e17. Smilie

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 19.07.2006, 12:59 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Ya I did try the bling module but it slowed my system down to a crawl, but it does look really cool. Maybe when I get a faster computer Smilie

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 24.07.2006, 05:49 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Ok we now have a fix for the engage problem thanks to mzilikazi.

Code:

apt-get remove engage*
cd /usr/lib/enlightenment/modules
su
wget http://www.gefechtsdienst.de/uman/files/glenn/files/engage.tar.bz2
tar xjfv engage.tar.bz2 (or whatever to unpack it)


now just load the module and it'll work perfectly again. Sehr glücklich

EDIT: hmm... had a few problems with this after a bit, there is supposed to be a updated engage in the repo's soon. Might be best to just wait for that.

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 30.07.2006, 12:03 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Wanna create some .edj backgrounds for you e17 desktop? While one easy way is to use Exhibit to view the image and then select edit --> Set as wallpaper, and then just set it from the Configuration Panel. But I also found a script to do it also and this script can do batch coversions of a whole directory also (which would be nice for the the Slideshow module Sehr glücklich ). Here is the link http://edevelop.org/buildedje I tried it on a few pics and it works nice, check it out. I did need to install python-psyco via apt for the script to work btw.

Cheers,
Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mzilikazi
Titel:   BeitragVerfasst am: 01.08.2006, 03:31 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
Nice. Smilie I had not yet seen that script. I like the Photo module for this task. Just enable the module then add it to a shelf. From the Photo module configurations panel simply point it to your directory of images and that's all you need to do. Images can then be set as wallpaper from the Photo module. E17 can make use of fake transparency w/ e17setroot. (think transparent terminals). The Photo module will set this as well at the same time with no extra intervention required from the user.

I preferred to configure the module so that Left click moves to the next image and middle click sets as wallpaper. Mouse-over pops up a larger view of the image as well as the name. (Nice if you use photos as wallpaper).

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
Mike Shepard
Titel:   BeitragVerfasst am: 01.08.2006, 05:15 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Hey mz, any news about the engage module? I keep checking the repo's but nothing new yet an that ibar isn't cutting it. I thought that engage was supposed to be the offical bar of e17, I read that in a report somewhere before. Thanks (now that I said something it'll probaly be in the repo's tomorrow Sehr glücklich )

Cheers,
Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
Mike Shepard
Titel: Update  BeitragVerfasst am: 08.08.2006, 11:51 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Ok there is now a new repository with updated files including a updated engage module No need for the engage-transparent as the engage package is default transparent now. You now just need to add the repo now.

Code:
$ su
# echo "deb http://www.edevelop.org/~kaethorn/ unstable main" >> /etc/apt/sources.list


You may want to comment out the old repo from you sources.list. I'm not sure how much longer it will be in use. I also found a version of Evidence that works fine. It seems the elive team has updated the code for it now Sehr glücklich . If you would like to install it here is how:

Code:
$ su
wget http://www.vobcopy.org/mirror/elive/pool/efl/e/evidence/evidence_cvs20060518_i386.deb
dpkg-deb --extract evidence_cvs20060518_i386.deb (insert a directory like /home/user/tmp)


Extracting the deb is because of the dependancies on the elivecd packages which may conflict. You just need to copy the 3 directories over to their proper place, you'll see when the it's extracted, thee directorys are listed. Then if you want , you just need to update the config files in ~/.evidence for your mime types. The info on the config files is in the man pages, it's pretty straight forward.

Cheers,
Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
mzilikazi
Titel: Re: Update  BeitragVerfasst am: 08.08.2006, 13:45 Uhr
Team Member
Team Member


Anmeldung: 17. Dez 2003
Beiträge: 1109
Wohnort: Ganymede
Mike Shepard hat folgendes geschrieben::
Ok there is now a new repository with updated files including a updated engage module No need for the engage-transparent as the engage package is default transparent now. You now just need to add the repo now.

Code:
$ su
# echo "deb http://www.edevelop.org/~kaethorn/ unstable main" >> /etc/apt/sources.list




Hey thanks for that. I was looking for that repo just last nite. Smilie Howto has been updated.

_________________
Ubuntu - An ancient African word for "Can't install Debian"
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen  
Antworten mit Zitat Nach oben
Mike Shepard
Titel: RE: Re: Update  BeitragVerfasst am: 18.08.2006, 22:10 Uhr



Anmeldung: 20. Mai 2005
Beiträge: 250

Anyone ever got entropy to work? It looks like a cool file manager but it always crashs on me a bit after I start it up. I have all the evfs plugins installed and I believe all the files it needs but still crashes, any idea's?

BTW: Engage seems to be broken again, luckily I kept a previous .deb of it and just reverted and it works fine. Smilie

Cheers,
Mike

_________________
"It's 106 miles to Chicago, we've got a full tank of gas, half a pack of cigarettes, it's dark, and we're wearing sunglasses." -The Blues Brothers (1980)
 
 Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden  
Antworten mit Zitat Nach oben
Beiträge vom vorherigen Thema anzeigen:     
Gehe zu:  
Alle Zeiten sind GMT + 1 Stunde
Neues Thema eröffnen   Neue Antwort erstellen
Vorheriges Thema anzeigen Druckerfreundliche Version Einloggen, um private Nachrichten zu lesen Nächstes Thema anzeigen
PNphpBB2 © 2003-2007 
 
Deutsch | English
Logos and trademarks are the property of their respective owners, comments are property of their posters, the rest is © 2004 - 2006 by Jörg Schirottke (Kano).
Consult Impressum and Legal Terms for details. Kanotix is Free Software released under the GNU/GPL license.
This CMS is powered by PostNuke, all themes used at this site are released under the GNU/GPL license. designed and hosted by w3you. Our web server is running on Kanotix64-2006.